# khanat server docker

Khanat Server Docker is tool to build  'khanat-opennel-code' and emulate server side.

Khanat Server Docker is open source and released under the terms of the GNU Affero General Public License 3.0 (GNU/AGPLv3) for the source code and the Creative Commons Attributions-ShareAlike 3.0 (CC-BY-SA) for the art assets. Which means you can create your own game using Ryzom Core, for more information on doing so check out Creating Your Own Game Using Ryzom Core.

Modification par la Team Khaganat

## Install docker

Depend on your environment.

    docker version
    docker info
    docker search debian



## Clone repo

    git clone https://git.khaganat.net/khaganat/mmorpg_khanat/khanat-server-docker.git
    git clone https://git.khaganat.net/khaganat/mmorpg_khanat/khanat-opennel-code.git
    git clone https://git.khaganat.net/khaganat/mmorpg_khanat/khanat-client-data.git
    git clone https://git.khaganat.net/khaganat/mmorpg_khanat/khanat-ressources.git
    git clone https://git.khaganat.net/khaganat/mmorpg_khanat/opennel-pymanager.git

## BUILD
(use docker)


### archi x64_86:

command :

``` sh
builder/debian/jessie/x86_64/build.sh -c -r -j 4 -a '-DWITH_SYMBOLS=ON'  -m '-m 20g' -d

```

result:

  package : build/opennel/builder_debian_jessie_x86_64/ryzomcore-*.tar.gz
  
  log build : build/opennel/builder_debian_jessie_x86_64/build.log
  
  all file generated on build : build/opennel/builder_debian_jessie_x86_64/
  


## COMPIL SERVER and START

Compil server :

 (prepare server / initialize khanat / database / patch)

``` sh
server/debian/jessie/x86_64/server.sh -b -t -q -z -k -n

```

Start server :

  (You need tape Enter when application ask to start server)

``` sh
server/debian/jessie/x86_64/server.sh 

```

Connect server with ssh (only if server is started)

``` sh
server/debian/jessie/x86_64/server.sh --ssh
```

## BUILD ALL
To generate all architectures and all debian release
(build & generate server)

``` sh
build_all.sh
```

## DOCKER 

### List image

``` sh
docker images
```

### List container
``` sh
docker ps -a
```

### Remove container

``` sh
docker rm <Container ID>
```

### Remove image

``` sh
docker rmi <Image ID>
```

### Launch container
Launch bash command 
(if you exist on your command, it stop your container)

``` sh
docker run -it <Image ID or name> /bin/bash
```

### Save image
``` sh
docker save -o image.tar <Image ID>
```

### Load image
``` sh
docker load --input image.tar
```